{* <!-- ===========================================================================
                                                                                  |
    Письмо: Клиенту о новом пароле.                                               |
    ----------------------------------------------------------------------------  |
                                                                                  |
    Входные переменные:                                                           |
        $item = запись о запросе:                                                 |
                    ->compound_name = ФИО пользователя                            |
                    ->email = указанный емейл                                     |
                    ->email2 = или емейл 2                                        |
                    ->remote_token = аутентификатор операции                      |
        $new_password = новый пароль (отсутствует в фазе 1)                       |
                                                                                  |
    ----------------------------------------------------------------------------  |
    ВАЖНО: ГЕНЕРАЦИЯ НОВОГО ПАРОЛЯ СОСТОИТ ИЗ ДВУХ ФАЗ - ПОДТВЕРЖДЕНИЕ И ВЫСЫЛКА  |
    ПАРОЛЯ. ДЛЯ ОБЕИХ ФАЗ ИСПОЛЬЗУЕТСЯ ОДИН И ТОТ ЖЕ ШАБЛОН ПИСЬМА С РАЗНЫМ       |
    ТЕЛОМ СООБЩЕНИЯ В ЗАВИСИМОСТИ ОТ УСЛОВИЯ.                                     |
                                                                                  |
============================================================================ --> *}{strip}

    {* <!-- =======================================================================
    |                                                                             |
    |  Стили (почтовые сервисы предпочитают инлайновые стили).                    |
    |                                                                             |
    ======================================================================== --> *}

    {capture assign=p_style}
        style="
            font-family: Verdana, Tahoma, Arial;
            font-size: 10pt;
            margin: 0;
            padding: 15px;
        "
    {/capture}

    {* <!-- =======================================================================
    |                                                                             |
    |  Непосредственно текст письма.                                              |
    |                                                                             |
    ======================================================================== --> *}

    <p {$p_style}>Уважаемый {inputValue from='item->compound_name' def='пользователь'}!</p>

        {* <!-- ===================================================================
        |                                                                         |
        |  Если это фаза 1: письмо с подтверждающей ссылкой.                      |
        |                                                                         |
        ==================================================================== --> *}

        {if empty($new_password)}
            <p {$p_style}>Кто-то (вероятно Вы) запустил на сайте <a href="{site}" target="_blank">{inputValue from='settings->site_name'}</a> генерацию нового пароля для Вашей учётной записи (аккаунта).</p>
            <p {$p_style}>Это действие невозможно без подтверждения с Вашей стороны. Чтобы продолжить действие, пройдите по следующей ссылке. Вы попадёте на соответствующую страницу сайта, и на Ваш емейл будет немедленно отправлено второе письмо с новым паролём.</p>
            <p {$p_style}><a href="{site}login/remind?email={$item->email|default:$item->email2|default:''|escape}&token={inputValue from='item->remote_token'}" target="_blank">Я подтверждаю своё желание получить новый пароль</a></p>
            <p {$p_style}>Если это действие было сделано не Вами, просто удалите данное письмо, не проходя по приведённое выше ссылке.</p>

        {* <!-- ===================================================================
        |                                                                         |
        |  Иначе это фаза 2: письмо с новым паролем.                              |
        |                                                                         |
        ==================================================================== --> *}

        {else}
            <p {$p_style}>Ваш новый пароль на сайте <a href="{site}" target="_blank">{inputValue from='settings->site_name'}</a>: <b>{inputValue from=new_password}</b></p>
        {/if}

{/strip}