{* <!-- макет страницы без центральной части --> *}{strip}

    {* <!-- =======================================================================
    |                                                                             |
    |  Проверяем неучтенные случаи "Ошибка 404".                                  |
    |                                                                             |
    ======================================================================== --> *}

    {include 'common/check404.htm'}

    {* <!-- =======================================================================
    |                                                                             |
    |  Если основной модуль или модуль неучтенного случая сообщил, что отрисовал  |
    |  страницу целиком, отдаем сгенерированный контент как есть, то есть без     |
    |  оборачивания в макет страницы.                                             |
    |                                                                             |
    ======================================================================== --> *}

    {if !empty($ajax)}
        {content}
    {else}

    {* <!-- =======================================================================
    |                                                                             |
    |  Разметка макета страницы.                                                  |
    |                                                                             |
    ======================================================================== --> *}

<!DOCTYPE html>
    <html lang="ru">
        <head>
            <base href="{site}" />
            <meta charset="UTF-8" />
            <meta name="viewport" content="width=device-width, initial-scale=1" />

            {* <!-- ===============================================================
            |                                                                     |
            |  Мета заголовок, ключи, описание.                                   |
            |                                                                     |
            ================================================================ --> *}

            <title>{title}</title>
            <meta content="{metaDescription}" name="description" />
            <meta content="{metaKeywords}" name="keywords" />

            {* <!-- ===============================================================
            |                                                                     |
            |  Ярлыковая иконка.                                                  |
            |                                                                     |
            ================================================================ --> *}

            <link href="{theme}images/favicon.ico" rel="shortcut icon" />

            {* <!-- ===============================================================
            |                                                                     |
            |  Метка генератора страницы.                                         |
            |                                                                     |
            ================================================================ --> *}

            <meta name="generator" content="Impera CMS {version} ({versionYMD})" />

            {* <!-- ===============================================================
            |                                                                     |
            |  Канонизация страниц.                                               |
            |                                                                     |
            ================================================================ --> *}

            {requestUri except='*' nopages=TRUE assign=uri}
            {$test = $smarty.server.REQUEST_URI|default:''}
            {if $uri != $test && !empty($test)}
                <link rel="canonical" href="{$uri}" />
            {/if}

            {* <!-- ===============================================================
            |                                                                     |
            |  Стили.                                                             |
            |                                                                     |
            ================================================================ --> *}

            <link href="{theme}css/style.css" rel="stylesheet" />

            {* <!-- ===============================================================
            |                                                                     |
            |  Скрипты (остальные подключаем внизу разметки для ускорения).       |
            |                                                                     |
            ================================================================ --> *}

            <script src="{theme}js/jquery.js"></script>

            {* <!-- ===============================================================
            |                                                                     |
            |  Основной модуль мог попросить добавить некоторые мета-теги.        |
            |                                                                     |
            ================================================================ --> *}

            {echoVar from=meta}
        </head>

        <body class="{inputValue from=bodyClass}">
            <div class="wrapper">
                <div class="page">

                    {* <!-- =======================================================
                    |                                                             |
                    |  Шапка.                                                     |
                    |                                                             |
                    ======================================================== --> *}

                    <div class="header">
                        <div class="left">
                            <div class="topmenu">
                                <ul>
                                    <li><a class="download" href="pricelist.xls">Прайс лист</a></li>
                                    <li><a class="profile" href="account">Кабинет</a></li>

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Вход / выход.                              |
                                    |                                             |
                                    ======================================== --> *}

                                    {if empty($user)}
                                        <li><a class="login" href="login">Войти</a></li>
                                    {else}
                                        <li><a class="login" href="logout">Выход</a></li>
                                    {/if}

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Меню с названием "Верхнее меню".           |
                                    |                                             |
                                    ======================================== --> *}

                                    {menuByLangTechName name='Верхнее меню' attach=sections assign=topMenu}
                                    {if !empty($topMenu->sections)}
                                        {foreach $topMenu->sections as $item}
                                            <li><a href="{url}">{echoVar from='item->name'}</a></li>
                                        {/foreach}
                                    {/if}
                                </ul>
                            </div>

                            <div class="desk">
                                <div class="logo">
                                    <a href="{site}">
                                        {siteName}
                                    </a>
                                </div>

                                {* <!-- ===========================================
                                |                                                 |
                                |  Телефоны (3 штуки). Если записаны в формате    |
                                |  +страна оператор номер, оборачиваем в красивую |
                                |  разметку, иначе выводим строкой как записаны.  |
                                |                                                 |
                                ============================================ --> *}

                                <ul class="phone">
                                    {$number = 1}
                                    {section name=dummy loop=3}
                                        {capture assign=value}
                                            {phone num=$number}
                                        {/capture}

                                        {$value = ($value != '') ? $value : ('нет phone'|cat:$number)}

                                        <li>
                                            {preg_replace('/^(\+[0-9]+[ \(-]+)?([0-9]+|нет)[ \)-]+(.+)$/u', '<span>($2)</span> $3', $value)}
                                        </li>

                                        {$number = $number + 1}
                                    {/section}
                                </ul>

                                {* <!-- ===========================================
                                |                                                 |
                                |  Форма поиска.                                  |
                                |                                                 |
                                ============================================ --> *}

                                <div class="search">
                                    <p class="links-1">
                                        <a href="feedback">Написать нам</a>
                                        <a href="callme">Заказать звонок</a>
                                        <a href="contact">Контакты</a>
                                        <a href="sitemap">Карта сайта</a>
                                    </p>

                                    <form action="search" method="post">
                                        <input name="keyword" type="text" value="{inputValue from=keyword}" maxlength="48" required />
                                        <input name="search_type" type="hidden" value="" />
                                        <input name="reset_old" type="hidden" value="1" />
                                        <button type="submit">Найти</button>
                                    </form>

                                    {if !isset($searches)}
                                        {searchHistory assign=searches}
                                    {/if}

                                    <p class="links-2">
                                        <a href="defer">отложенные <span>{echoVar from=defer_products_num def=0}</span></a>
                                        <a href="compare">сравнение <span>{count($smarty.session.compared_products|default:null)}</span></a>
                                        <a href="search">история поиска <span>{count($searches)}</span></a>
                                    </p>
                                </div>
                            </div>
                        </div>

                        {* <!-- ===================================================
                        |                                                         |
                        |  Мини корзина.                                          |
                        |                                                         |
                        ==================================================== --> *}

                        <div class="right">
                            <p class="cart-link"><a href="cart">Корзина</a></p>
                            {if !empty($cart_products_num)}
                                <p class="cart-quantity">
                                    <span>{$cart_products_num}</span> шт. на {**}
                                    <span>
                                        {$price = $helper->priceForScreen($cart_total_price)}
                                        {$price = ceil($price)}
                                        {$price}
                                    </span> <em>{sign}</em>
                                </p>
                                <a class="checkout" href="cart?mode=checkout">Оформить заказ</a>
                            {else}
                                <p class="cart-quantity">Корзина пустая!</p>
                                <a class="checkout gray">Оформить заказ</a>
                            {/if}
                        </div>
                    </div>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Меню категорий (мега меню).                                |
                    |                                                             |
                    ======================================================== --> *}

                    {if empty($config->ecommerceNoMegamenu)}
                        <div class="nav-container">
                            <ul class="megamenu">
                                {if !empty($categories)}
                                    {$number = 0}
                                    {foreach $categories as $item}
                                        {$number = $number + 1}
                                        {if $number > 8}
                                            {break}
                                        {/if}

                                        <li>
                                            <a href="{url}">
                                                {name assign=name}
                                                {preg_replace('/^(.{4,}?) /u', '$1<br />', $name)}
                                            </a>

                                            {* <!-- ===============================
                                            |                                     |
                                            |  Подкатегории (если есть).          |
                                            |                                     |
                                            ================================ --> *}

                                            <div class="categories">
                                                {if !empty($item->subcategories)}
                                                    {$size = intval(ceil(count($item->subcategories) / 2))}

                                                    <ul>
                                                        {foreach $item->subcategories as $item2}
                                                            {$size = $size - 1}
                                                            {if $size == -1}
                                                                </ul>
                                                                <ul>
                                                            {/if}
                                                            <li><a href="{url from=item2}">{name from=item2}</a></li>
                                                        {/foreach}
                                                    </ul>
                                                {/if}

                                                {* <!-- ===========================
                                                |                                 |
                                                |  Картинка корневой категории    |
                                                |  (если их вывод не запрещен в   |
                                                |  конфиге сайта).                |
                                                |                                 |
                                                ============================ --> *}

                                                {if empty($config->ecommerceNoMegamenuImages)}
                                                    {findImage type=category view='*' def='no-photo-category.png' assign=image}
                                                    <img src="{$image['url']}" alt="" />
                                                {/if}
                                            </div>
                                        </li>
                                    {/foreach}
                                {/if}

                                {* <!-- ===========================================
                                |                                                 |
                                |  Производители (если есть и их вывод не         |
                                |  запрещен в конфигурационных параметрах сайта). |
                                |                                                 |
                                ============================================ --> *}

                                {if !empty($all_brands) && empty($config->ecommerceNoMegamenuBrands)}
                                    {$size = intval(ceil(count($all_brands) / 2))}

                                    <li class="last">
                                        <a href="brands">Производители</a>
                                        <div class="brands">
                                            <ul>
                                                {foreach $all_brands as $item}
                                                    {$size = $size - 1}
                                                    {if $size == -1}
                                                        </ul>
                                                        <ul>
                                                    {/if}
                                                    <li><a href="{url}">{name}</a></li>
                                                {/foreach}
                                            </ul>
                                        </div>
                                    </li>
                                {/if}
                            </ul>
                        </div>
                    {/if}

                    {* <!-- =======================================================
                    |                                                             |
                    |  Меню категорий (выпадающие панели).                        |
                    |                                                             |
                    ======================================================== --> *}

                    <div class="main">
                        {$flowmenu = !empty($config->ecommerceNoMegamenu) && !empty($categories)}
                        {if $flowmenu}
                            <div class="topics">
                                <a class="buy-btn" href="products" onclick="return false">
                                    Весь каталог
                                </a>
                                {function showMenuCategories level=1 pseudolevel=1 maxlevel=4}
                                    {if !empty($items)}
                                        {$number = 1}
                                        <ul>
                                            {foreach $items as $item}
                                                {$currentPL = $pseudolevel}
                                                {$currentML = $maxlevel}

                                                {$value = $item->in_prices|default:255}
                                                {if $level == 1 || $value != 255}
                                                    {$pseudolevel = 1}
                                                    {$maxlevel = ($value > 7) ? 4
                                                                                : (($value > 3) ? 3
                                                                                                : (($value > 1) ? 2 : 1))}
                                                {/if}

                                                {$hidden = ($level == 1 && !empty($bodyClass) && $number > 6) ? 'hidden' : ''}
                                                {$hasChild = $level < 4 && $pseudolevel < $maxlevel && !empty($item->subcategories)}
                                                {$class = ($hasChild) ? 'sub' : ''}

                                                <li class="{$class} {$hidden}">
                                                    <a href="{url}">{name}</a>
                                                    {if $hasChild}
                                                        {showMenuCategories items = $item->subcategories
                                                                            level = $level + 1
                                                                            pseudolevel = $pseudolevel + 1
                                                                            maxlevel = $maxlevel}
                                                    {/if}
                                                </li>

                                                {$pseudolevel = $currentPL}
                                                {$maxlevel = $currentML}

                                                {$number = $number + 1}
                                            {/foreach}

                                            {if !empty($hidden)}
                                                <li class="more">
                                                    <a onclick="jQuery(this).closest('.topics').addClass('full')">ещё &raquo;</a>
                                                </li>
                                                <li class="less">
                                                    <a onclick="jQuery(this).closest('.topics').removeClass('full')">&laquo; меньше</a>
                                                </li>
                                            {/if}
                                        </ul>
                                    {/if}
                                {/function}
                                {showMenuCategories items=$categories}
                            </div>
                        {/if}

                        {* <!-- ===================================================
                        |                                                         |
                        |  Контент основного модуля.                              |
                        |                                                         |
                        ==================================================== --> *}

                        {content}

                        {* <!-- ===================================================
                        |                                                         |
                        |  Нижний баннер (если не запрещен в конфиге сайта).      |
                        |                                                         |
                        ==================================================== --> *}

                        {if empty($config->ecommerceNoBannerBottom)}
                            <div class="clear"></div>
                            <div class="banner">
                                <img class="responsive" src="{theme}images/banner-bottom.png" alt="" />
                            </div>
                        {/if}

                        {* <!-- ===================================================
                        |                                                         |
                        |  Другие дизайны (выводим только на демо сайте).         |
                        |                                                         |
                        ==================================================== --> *}

                        {if !empty($config->demo)}
                            {if !empty($themes)}
                                <div class="clear"></div>
                                <div class="themes static">
                                    <h6>Другие дизайны на этом же демо сайте</h6>
                                    {foreach $themes as $item}
                                        <a href="{requestUri except='*'}?theme={name}">{name}</a>
                                    {/foreach}

                                    <h6>Готовые решения на других демо сайтах</h6>
                                    <a class="line" href="http://cafe.imperacms.ru" target="_blank" rel="nofollow">сайт кафе, пиццерии, ресторана</a>
                                    <a class="line" href="http://electronic.imperacms.ru" target="_blank" rel="nofollow">магазин электроники</a>

                                    <h6>Полезные ссылки</h6>
                                    <a class="line" href="http://imperacms.ru/blog/templates/ecommerce" target="_blank" rel="nofollow">где скачать этот шаблон - eCommerce</a>
                                    <a class="line" href="https://freelancehunt.com/freelancer/uliadesign.html" target="_blank" rel="nofollow">у кого заказать перекраску шаблона</a>

                                    <h6>Интересное</h6>
                                    <a class="line" href="{site}?theme=modules">необычные модули для сайта</a>

                                    <a class="line general" href="http://imperacms.ru/pick-site" target="_blank" rel="nofollow">Выбрать готовое решение для себя</a>
                                </div>
                            {/if}
                        {/if}
                    </div>
                    <div class="clear"></div>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Недавно просмотренные товары, если есть (но кроме страниц, |
                    |  где вывод этого блока запрещен в конфиге сайта).           |
                    |                                                             |
                    ======================================================== --> *}

                    {if !empty($recent_products)}
                        {requestUri except='*' nopages=TRUE assign=uri}
                        {configCommaList name=ecommerceNoRecentURLs assign=values}
                        {if !$emulator->existsInStrings($uri, $values)}

                            <div class="recent">
                                <div class="content">
                                    <h5>Вы смотрели недавно</h5>

                                    <div class="tab-content">
                                        {include 'common/list-products.htm'
                                                 items = $recent_products
                                                 columns = 4
                                                 maxcount = 4}
                                        <div class="clear"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="clear"></div>
                        {/if}
                    {/if}
                </div>

                {* <!-- ===========================================================
                |                                                                 |
                |  Боковые панели (если их вывод не запрещен в конфиге сайта и    |
                |  выключено меню категорий выпадающими панелями).                |
                |                                                                 |
                ============================================================ --> *}

                {if empty($flowmenu)}
                    {if empty($config->ecommerceNoSidebarLeft)}
                        <div class="sidebar static">
                            {$main_description|default:'
                                <h6>Пояснение 1</h6>
                                <p>Напишите здесь текст по умолчанию, который будет появляться на всех страницах, кроме главной, категорий и брендов с заполненным полем описания. Если же и у них описание не заполнено, появится этот текст по умолчанию.</p>
                                <p>Этот текст может содержать например какую-нибудь короткую версию Вопросов-Ответов или всё что считаете нужным показать вашему клиенту в боковой панели сайта.</p>
                                <p>Ещё раз напомним, на главной странице, страницах категорий и брендов с заполненным полем описания будет показан именно тот текст вместо данного. Такая схема даёт разнообразить страницы дополнительной информацией.</p>
                                <h6>Где этот текст?</h6>
                                <p>Отредактировать дефолтный текст боковых панелей можете в файле <b>index.tpl</b> текущего шаблона. Текст является обычной html-разметкой.</p>
                            '}
                        </div>
                    {/if}

                    {if empty($config->ecommerceNoSidebarRight)}
                        <div class="sidebar right static">
                            {$seo_description|default:'
                                <h6>Пояснение 2</h6>
                                <p>Напишите здесь текст по умолчанию, который будет появляться на всех страницах, у каких в админпанели не было заполнено поле <b>SEO текст</b>.</p>
                                <p>Этот текст может содержать например какую-нибудь короткую версию Вопросов-Ответов или всё что считаете нужным показать вашему клиенту в боковой панели сайта.</p>
                                <p>На страницах с заполненным полем <b>SEO текст</b> будет показан именно тот текст вместо дефолтного. Такая схема даёт разнообразить страницы дополнительной информацией.</p>
                            '}
                        </div>
                    {/if}
                {/if}

                {* <!-- ===========================================================
                |                                                                 |
                |  Подвал.                                                        |
                |                                                                 |
                ============================================================ --> *}

                <div class="footer">
                    <div class="info">
                        <p>{echoVar from='config->ecommerceFeature1' def='Нет конфиг ecommerceFeature1'}</p>
                        <p>{echoVar from='config->ecommerceFeature2' def='Нет конфиг ecommerceFeature2'}</p>
                        <p>{echoVar from='config->ecommerceFeature3' def='Нет конфиг ecommerceFeature3'}</p>
                        <p>{echoVar from='config->ecommerceFeature4' def='Нет конфиг ecommerceFeature4'}</p>
                    </div>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Нижнее меню (если нет такого, повторим 4 первых пункта из  |
                    |  меню под именем "Верхнее меню", а если и его нет или       |
                    |  содержит мало пунктов, дополним многоточиями).             |
                    |                                                             |
                    ======================================================== --> *}

                    {menuByLangTechName name='Нижнее меню' attach=sections assign=item}
                    {if !empty($item->sections)}
                        {$topMenu = $item}
                    {/if}

                    <ul class="menu">
                        {$number = 4}
                        {if !empty($topMenu->sections)}
                            {foreach $topMenu->sections as $item}
                                <li><a href="{url}">{echoVar from='item->name'}</a></li>
                                {$number = $number - 1}
                                {if $number == 0}{break}{/if}
                            {/foreach}
                        {/if}
                        {section name=dummy loop=$number}
                            <li>..............................</li>
                        {/section}
                    </ul>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Социальные ссылки.                                         |
                    |                                                             |
                    ======================================================== --> *}

                    <div class="socials">
                        <p>Мы в сети:</p>
                        <a class="twitter" href="{inputValue from='config->twitter'}" rel="nofollow">twitter</a>
                        <a class="facebook" href="{inputValue from='config->facebook'}" rel="nofollow">facebook</a>
                        <a class="google" href="{inputValue from='config->google'}" rel="nofollow">google</a>
                        <a class="vkontakte" href="{inputValue from='config->vkontakte'}" rel="nofollow">vkontakte</a>
                        <a class="rss" href="rss">rss</a>
                    </div>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Правая часть подвала.                                      |
                    |                                                             |
                    ======================================================== --> *}

                    <div class="copyright">
                        <p>© {$smarty.now|date_format:'%Y'} {siteName}</p>

                        <p>{echoVar from='config->ecommerceSlogan' def='Нет конфиг параметра ecommerceSlogan'}</p>

                        <p>&nbsp;</p>
                        <p>
                            {if empty($config->ecommerceNoLinkDesigner)}
                                <a href="https://freelancehunt.com/freelancer/uliadesign.html" target="_blank" rel="nofollow">
                                    Дизайн: Юлия Филоненко
                                </a>
                            {/if}

                            {if empty($config->ecommerceNoLinkImpera)}
                                <a href="http://imperacms.ru/" target="_blank" rel="nofollow">
                                    Скрипт магазина
                                </a>
                            {/if}
                        </p>
                    </div>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Счетчики метрики, аналитики и т.п.                         |
                    |                                                             |
                    ======================================================== --> *}

                    <div class="counters">
                        {counters}
                    </div>
                </div>
            </div>

            {* <!-- ===============================================================
            |                                                                     |
            |  Скрытая форма обратного звонка о товаре. Возможны такие транзитные |
            |  переменные, установленные модулем обратного звонка (то есть в      |
            |  файле callme.htm):                                                 |
            |                                                                     |
            |      callmePopupName = название товара                              |
            |      callmePopupPhone = введенный телефон просителя                 |
            |      callmePopupCopystop = контрольный код репостинга формы         |
            |                                                                     |
            ================================================================ --> *}

            {include 'common/form-callme.htm'}

            {* <!-- ===============================================================
            |                                                                     |
            |  Скрытая форма заказа в один клик. Возможны такие транзитные        |
            |  переменные, установленные модулем быстрого заказа (то есть в файле |
            |  fulminant.order.htm):                                              |
            |                                                                     |
            |      quickOrderAmount = введенное количество товара                 |
            |      quickOrderName   = введенное имя покупателя                    |
            |      quickOrderPhone  = введенный телефон покупателя                |
            |                                                                     |
            ================================================================ --> *}

            {include 'common/form-quickorder.htm'}

            {* <!-- ===============================================================
            |                                                                     |
            |  Скрытое окно вьювера фотографий.                                   |
            |                                                                     |
            ================================================================ --> *}

            <div class="box-wrapper lightbox">
                <div class="container">
                    <a class="popup-close" onclick="jQuery(this).closest('.lightbox').hide()">
                        &nbsp;
                    </a>
                    <img src="" alt="" />
                    <a class="fa fa-arrow-left popup-prev" onclick="quickLightboxPrev()">&nbsp;</a>
                    <a class="fa fa-arrow-right popup-next" onclick="quickLightboxNext()">&nbsp;</a>
                </div>
            </div>

            {* <!-- ===============================================================
            |                                                                     |
            |  Скрипты (также те, что модули могли занести в $otherJS).           |
            |                                                                     |
            ================================================================ --> *}

            <script>var themeUrl = '{theme}'</script>
            <script src="{theme}js/script.js"></script>
            {echoVar from=otherJS}

            {* <!-- ===============================================================
            |                                                                     |
            |  Кнопка "Наверх страницы".                                          |
            |                                                                     |
            ================================================================ --> *}

            <a class="back-top" onclick="scrollToObject('.header')" title="Наверх страницы">↑</a>
        </body>
    </html>
    {/if}

{/strip}